---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Texture Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Texture.html">Texture</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classtgui_1_1Texture-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Texture Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::Texture:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1Texture.png" usemap="#tgui::Texture_map" alt=""/>
  <map id="tgui::Texture_map" name="tgui::Texture_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa62ae5c1e87888eee4f52cc9622e813b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa62ae5c1e87888eee4f52cc9622e813b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#aa62ae5c1e87888eee4f52cc9622e813b">Texture</a> ()</td></tr>
<tr class="memdesc:aa62ae5c1e87888eee4f52cc9622e813b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:aa62ae5c1e87888eee4f52cc9622e813b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedb388fbabb82f772ea50e83b00d7ca7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#aedb388fbabb82f772ea50e83b00d7ca7">Texture</a> (const sf::String &amp;id, const sf::IntRect &amp;partRect=sf::IntRect(0, 0, 0, 0), const sf::IntRect &amp;middlePart=sf::IntRect(0, 0, 0, 0))</td></tr>
<tr class="memdesc:aedb388fbabb82f772ea50e83b00d7ca7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor that created the texture.  <a href="#aedb388fbabb82f772ea50e83b00d7ca7">More...</a><br /></td></tr>
<tr class="separator:aedb388fbabb82f772ea50e83b00d7ca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af62b1bfa9b456591074efeeb2393253d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#af62b1bfa9b456591074efeeb2393253d">Texture</a> (const sf::Texture &amp;texture, const sf::IntRect &amp;partRect=sf::IntRect(0, 0, 0, 0), const sf::IntRect &amp;middlePart=sf::IntRect(0, 0, 0, 0))</td></tr>
<tr class="memdesc:af62b1bfa9b456591074efeeb2393253d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor that created the texture from an existing sf::Texture.  <a href="#af62b1bfa9b456591074efeeb2393253d">More...</a><br /></td></tr>
<tr class="separator:af62b1bfa9b456591074efeeb2393253d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cdac82b7914f87ff150de577206981b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a6cdac82b7914f87ff150de577206981b">Texture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a6cdac82b7914f87ff150de577206981b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a6cdac82b7914f87ff150de577206981b">More...</a><br /></td></tr>
<tr class="separator:a6cdac82b7914f87ff150de577206981b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bab672188429774804229e5e7709ba9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a0bab672188429774804229e5e7709ba9">operator=</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;right)</td></tr>
<tr class="memdesc:a0bab672188429774804229e5e7709ba9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a0bab672188429774804229e5e7709ba9">More...</a><br /></td></tr>
<tr class="separator:a0bab672188429774804229e5e7709ba9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4860c6e7da84910d9352767ff2ab9f6d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a4860c6e7da84910d9352767ff2ab9f6d">load</a> (const sf::Texture &amp;texture, const sf::IntRect &amp;partRect={}, const sf::IntRect &amp;middleRect={})</td></tr>
<tr class="memdesc:a4860c6e7da84910d9352767ff2ab9f6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates the texture from an existing sf::Texture.  <a href="#a4860c6e7da84910d9352767ff2ab9f6d">More...</a><br /></td></tr>
<tr class="separator:a4860c6e7da84910d9352767ff2ab9f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a048f16c2c160564ee9faeb6d83e467a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a048f16c2c160564ee9faeb6d83e467a1">load</a> (const sf::String &amp;id, const sf::IntRect &amp;partRect={}, const sf::IntRect &amp;middleRect={})</td></tr>
<tr class="memdesc:a048f16c2c160564ee9faeb6d83e467a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates the texture.  <a href="#a048f16c2c160564ee9faeb6d83e467a1">More...</a><br /></td></tr>
<tr class="separator:a048f16c2c160564ee9faeb6d83e467a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a5b18e43b8c6cd0a3ef29a8f2c6668f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a6a5b18e43b8c6cd0a3ef29a8f2c6668f">setTexture</a> (std::shared_ptr&lt; TextureData &gt; data, const sf::IntRect &amp;middleRect={})</td></tr>
<tr class="memdesc:a6a5b18e43b8c6cd0a3ef29a8f2c6668f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the texture.  <a href="#a6a5b18e43b8c6cd0a3ef29a8f2c6668f">More...</a><br /></td></tr>
<tr class="separator:a6a5b18e43b8c6cd0a3ef29a8f2c6668f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2966affc816182e418ad72d174dbde8b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a2966affc816182e418ad72d174dbde8b">getId</a> () const </td></tr>
<tr class="memdesc:a2966affc816182e418ad72d174dbde8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the id that was used to load the texture (for the default loader, the id is the filename)  <a href="#a2966affc816182e418ad72d174dbde8b">More...</a><br /></td></tr>
<tr class="separator:a2966affc816182e418ad72d174dbde8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbe25d1610e9e9d60c2f4183224d4a33"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; TextureData &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#abbe25d1610e9e9d60c2f4183224d4a33">getData</a> ()</td></tr>
<tr class="memdesc:abbe25d1610e9e9d60c2f4183224d4a33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a reference to the texture data.  <a href="#abbe25d1610e9e9d60c2f4183224d4a33">More...</a><br /></td></tr>
<tr class="separator:abbe25d1610e9e9d60c2f4183224d4a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322a37a0a7fe45fde6c5bd531732f944"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; const TextureData &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a322a37a0a7fe45fde6c5bd531732f944">getData</a> () const </td></tr>
<tr class="memdesc:a322a37a0a7fe45fde6c5bd531732f944"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the constant texture data.  <a href="#a322a37a0a7fe45fde6c5bd531732f944">More...</a><br /></td></tr>
<tr class="separator:a322a37a0a7fe45fde6c5bd531732f944"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdd23a9f13b870700d65073bf4731c50"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#afdd23a9f13b870700d65073bf4731c50">setSize</a> (const sf::Vector2f &amp;size)</td></tr>
<tr class="memdesc:afdd23a9f13b870700d65073bf4731c50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size that the image will have when drawing.  <a href="#afdd23a9f13b870700d65073bf4731c50">More...</a><br /></td></tr>
<tr class="separator:afdd23a9f13b870700d65073bf4731c50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acea39d21c2435bb370f0727afd341352"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#acea39d21c2435bb370f0727afd341352">getSize</a> () const </td></tr>
<tr class="memdesc:acea39d21c2435bb370f0727afd341352"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size that the image has when drawing.  <a href="#acea39d21c2435bb370f0727afd341352">More...</a><br /></td></tr>
<tr class="separator:acea39d21c2435bb370f0727afd341352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea07cdfdda3e2c773552ededfd6e26b9"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#aea07cdfdda3e2c773552ededfd6e26b9">getImageSize</a> () const </td></tr>
<tr class="memdesc:aea07cdfdda3e2c773552ededfd6e26b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size that the loaded image.  <a href="#aea07cdfdda3e2c773552ededfd6e26b9">More...</a><br /></td></tr>
<tr class="separator:aea07cdfdda3e2c773552ededfd6e26b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60372afe16918d68f23225e3b474dfef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a60372afe16918d68f23225e3b474dfef">setColor</a> (const sf::Color &amp;color)</td></tr>
<tr class="memdesc:a60372afe16918d68f23225e3b474dfef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the global color of the sprite.  <a href="#a60372afe16918d68f23225e3b474dfef">More...</a><br /></td></tr>
<tr class="separator:a60372afe16918d68f23225e3b474dfef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b6ff9f54b6349795cfe34f3866051b9"><td class="memItemLeft" align="right" valign="top">const sf::Color &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a5b6ff9f54b6349795cfe34f3866051b9">getColor</a> () const </td></tr>
<tr class="memdesc:a5b6ff9f54b6349795cfe34f3866051b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the global color of the sprite.  <a href="#a5b6ff9f54b6349795cfe34f3866051b9">More...</a><br /></td></tr>
<tr class="separator:a5b6ff9f54b6349795cfe34f3866051b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ddbe2a731d9fc38296ec10a3154f853"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a8ddbe2a731d9fc38296ec10a3154f853">setTextureRect</a> (const sf::FloatRect &amp;textureRect)</td></tr>
<tr class="memdesc:a8ddbe2a731d9fc38296ec10a3154f853"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the part of the texture that should be drawn.  <a href="#a8ddbe2a731d9fc38296ec10a3154f853">More...</a><br /></td></tr>
<tr class="separator:a8ddbe2a731d9fc38296ec10a3154f853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa26d635449a54dc8a325a5ebd889416e"><td class="memItemLeft" align="right" valign="top">sf::FloatRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#aa26d635449a54dc8a325a5ebd889416e">getTextureRect</a> () const </td></tr>
<tr class="memdesc:aa26d635449a54dc8a325a5ebd889416e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the part of the texture that is drawn.  <a href="#aa26d635449a54dc8a325a5ebd889416e">More...</a><br /></td></tr>
<tr class="separator:aa26d635449a54dc8a325a5ebd889416e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a199b6fbd749dbfd5e000ac9714d7f096"><td class="memItemLeft" align="right" valign="top">sf::IntRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a199b6fbd749dbfd5e000ac9714d7f096">getMiddleRect</a> () const </td></tr>
<tr class="memdesc:a199b6fbd749dbfd5e000ac9714d7f096"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the middle rect of the texture which is used for 9-slice scaling.  <a href="#a199b6fbd749dbfd5e000ac9714d7f096">More...</a><br /></td></tr>
<tr class="separator:a199b6fbd749dbfd5e000ac9714d7f096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a955bff3e4065fa08d44be9965412ff27"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a955bff3e4065fa08d44be9965412ff27">setSmooth</a> (bool smooth)</td></tr>
<tr class="memdesc:a955bff3e4065fa08d44be9965412ff27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable the smooth filter.  <a href="#a955bff3e4065fa08d44be9965412ff27">More...</a><br /></td></tr>
<tr class="separator:a955bff3e4065fa08d44be9965412ff27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa434c72adfabf617afb06772960cc0f9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#aa434c72adfabf617afb06772960cc0f9">isSmooth</a> () const </td></tr>
<tr class="memdesc:aa434c72adfabf617afb06772960cc0f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tell whether the smooth filter is enabled or not.  <a href="#aa434c72adfabf617afb06772960cc0f9">More...</a><br /></td></tr>
<tr class="separator:aa434c72adfabf617afb06772960cc0f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2985f0d92540442789ebb83ba5800b54"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a2985f0d92540442789ebb83ba5800b54">isTransparentPixel</a> (float x, float y) const </td></tr>
<tr class="memdesc:a2985f0d92540442789ebb83ba5800b54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if a certain pixel is transparent.  <a href="#a2985f0d92540442789ebb83ba5800b54">More...</a><br /></td></tr>
<tr class="separator:a2985f0d92540442789ebb83ba5800b54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90a5e1461403267d9cc370df16b34ba0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Texture.html#aaba70370fcc0e5fe13508646d2300014">ScalingType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a90a5e1461403267d9cc370df16b34ba0">getScalingType</a> () const </td></tr>
<tr class="memdesc:a90a5e1461403267d9cc370df16b34ba0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the way in which the image is being scaled.  <a href="#a90a5e1461403267d9cc370df16b34ba0">More...</a><br /></td></tr>
<tr class="separator:a90a5e1461403267d9cc370df16b34ba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb79cf4d9168fcdfcbadd5c4357a4249"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#adb79cf4d9168fcdfcbadd5c4357a4249">isLoaded</a> () const </td></tr>
<tr class="memdesc:adb79cf4d9168fcdfcbadd5c4357a4249"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if the texture has been correctly loaded.  <a href="#adb79cf4d9168fcdfcbadd5c4357a4249">More...</a><br /></td></tr>
<tr class="separator:adb79cf4d9168fcdfcbadd5c4357a4249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4ba6ca2d45b2dc6a4ebbfcace1e77b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#ac4ba6ca2d45b2dc6a4ebbfcace1e77b0">setCopyCallback</a> (const std::function&lt; void(std::shared_ptr&lt; TextureData &gt;)&gt; func)</td></tr>
<tr class="memdesc:ac4ba6ca2d45b2dc6a4ebbfcace1e77b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets a callback function for when this texture is copied.  <a href="#ac4ba6ca2d45b2dc6a4ebbfcace1e77b0">More...</a><br /></td></tr>
<tr class="separator:ac4ba6ca2d45b2dc6a4ebbfcace1e77b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c86591900554e80c396af648a3f4464"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a2c86591900554e80c396af648a3f4464">setDestructCallback</a> (const std::function&lt; void(std::shared_ptr&lt; TextureData &gt;)&gt; func)</td></tr>
<tr class="memdesc:a2c86591900554e80c396af648a3f4464"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets a callback function for when this texture is destroyed.  <a href="#a2c86591900554e80c396af648a3f4464">More...</a><br /></td></tr>
<tr class="separator:a2c86591900554e80c396af648a3f4464"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a4f8e5fcf1d281d52e9d549cdbeff49d3"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a4f8e5fcf1d281d52e9d549cdbeff49d3">setImageLoader</a> (const ImageLoaderFunc &amp;func)</td></tr>
<tr class="memdesc:a4f8e5fcf1d281d52e9d549cdbeff49d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets a different image loader.  <a href="#a4f8e5fcf1d281d52e9d549cdbeff49d3">More...</a><br /></td></tr>
<tr class="separator:a4f8e5fcf1d281d52e9d549cdbeff49d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03e96e2501defa4e985371c318dc8915"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a03e96e2501defa4e985371c318dc8915">setTextureLoader</a> (const TextureLoaderFunc &amp;func)</td></tr>
<tr class="memdesc:a03e96e2501defa4e985371c318dc8915"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets a different texture loader.  <a href="#a03e96e2501defa4e985371c318dc8915">More...</a><br /></td></tr>
<tr class="separator:a03e96e2501defa4e985371c318dc8915"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d7a113000dc6cc15e82b5da9eabae51"><td class="memItemLeft" align="right" valign="top">static ImageLoaderFunc&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#a7d7a113000dc6cc15e82b5da9eabae51">getImageLoader</a> ()</td></tr>
<tr class="memdesc:a7d7a113000dc6cc15e82b5da9eabae51"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the used image loader.  <a href="#a7d7a113000dc6cc15e82b5da9eabae51">More...</a><br /></td></tr>
<tr class="separator:a7d7a113000dc6cc15e82b5da9eabae51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab72bd0daf87a89164b11d6aec315d1f7"><td class="memItemLeft" align="right" valign="top">static TextureLoaderFunc&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html#ab72bd0daf87a89164b11d6aec315d1f7">getTextureLoader</a> ()</td></tr>
<tr class="memdesc:ab72bd0daf87a89164b11d6aec315d1f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the used texture loader.  <a href="#ab72bd0daf87a89164b11d6aec315d1f7">More...</a><br /></td></tr>
<tr class="separator:ab72bd0daf87a89164b11d6aec315d1f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="aaba70370fcc0e5fe13508646d2300014"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classtgui_1_1Texture.html#aaba70370fcc0e5fe13508646d2300014">tgui::Texture::ScalingType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The way the image should be scaled. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="aaba70370fcc0e5fe13508646d2300014a960b44c579bc2f6818d2daaf9e4c16f0"></a>Normal&#160;</td><td class="fielddoc">
<p>The image is not split and scaled normally. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="aaba70370fcc0e5fe13508646d2300014ac1b5fa03ecdb95d4a45dd1c40b02527f"></a>Horizontal&#160;</td><td class="fielddoc">
<p>Image is split in Left, Middle and Right parts. Left and Right keep ratio, Middle gets stretched. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="aaba70370fcc0e5fe13508646d2300014a06ce2a25e5d12c166a36f654dbea6012"></a>Vertical&#160;</td><td class="fielddoc">
<p>Image is split in Top, Middle and Bottom parts. Top and Bottom keep ratio, Middle gets stretched. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="aaba70370fcc0e5fe13508646d2300014ae04fb02d096d90f7e04135e94eab17f0"></a>NineSlice&#160;</td><td class="fielddoc">
<p>Image is split in 9 parts. Corners keep size, sides are stretched in one direction, middle is stretched in both directions. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aedb388fbabb82f772ea50e83b00d7ca7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Texture::Texture </td>
          <td>(</td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::IntRect &amp;&#160;</td>
          <td class="paramname"><em>partRect</em> = <code>sf::IntRect(0,&#160;0,&#160;0,&#160;0)</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::IntRect &amp;&#160;</td>
          <td class="paramname"><em>middlePart</em> = <code>sf::IntRect(0,&#160;0,&#160;0,&#160;0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor that created the texture. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>Id for the the image to load (for the default loader, the id is the filename). </td></tr>
    <tr><td class="paramname">partRect</td><td>Load only part of the image. Pass an empty rectangle if you want to load the full image. </td></tr>
    <tr><td class="paramname">middlePart</td><td>Choose the middle part of the image for 9-slice scaling (relative to the part defined by partRect)</td></tr>
  </table>
  </dd>
</dl>
<p>This constructor just calls the corresponding load function. </p>

</div>
</div>
<a class="anchor" id="af62b1bfa9b456591074efeeb2393253d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Texture::Texture </td>
          <td>(</td>
          <td class="paramtype">const sf::Texture &amp;&#160;</td>
          <td class="paramname"><em>texture</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::IntRect &amp;&#160;</td>
          <td class="paramname"><em>partRect</em> = <code>sf::IntRect(0,&#160;0,&#160;0,&#160;0)</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::IntRect &amp;&#160;</td>
          <td class="paramname"><em>middlePart</em> = <code>sf::IntRect(0,&#160;0,&#160;0,&#160;0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor that created the texture from an existing sf::Texture. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>Existing texture to copy. </td></tr>
    <tr><td class="paramname">partRect</td><td>Load only part of the image. Pass an empty rectangle if you want to load the full image. </td></tr>
    <tr><td class="paramname">middlePart</td><td>Choose the middle part of the image for 9-slice scaling (relative to the part defined by partRect)</td></tr>
  </table>
  </dd>
</dl>
<p>The texture will be copied, you do not have to keep the sf::Texture alive after calling this function.</p>
<p>This constructor just calls the corresponding load function. </p>

</div>
</div>
<a class="anchor" id="a6cdac82b7914f87ff150de577206981b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Texture::Texture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Copy constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>Instance to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a5b6ff9f54b6349795cfe34f3866051b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const sf::Color&amp; tgui::Texture::getColor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the global color of the sprite. </p>
<p>This color is modulated (multiplied) with the sprite's texture. It can be used to colorize the sprite, or change its global opacity.</p>
<p>By default, the sprite's color is opaque white.</p>
<dl class="section return"><dt>Returns</dt><dd>Current color of the sprite </dd></dl>

</div>
</div>
<a class="anchor" id="abbe25d1610e9e9d60c2f4183224d4a33"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;TextureData&gt;&amp; tgui::Texture::getData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns a reference to the texture data. </p>
<dl class="section return"><dt>Returns</dt><dd>Data of the texture </dd></dl>

</div>
</div>
<a class="anchor" id="a322a37a0a7fe45fde6c5bd531732f944"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;const TextureData&gt; tgui::Texture::getData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the constant texture data. </p>
<dl class="section return"><dt>Returns</dt><dd>Read-only data of the texture </dd></dl>

</div>
</div>
<a class="anchor" id="a2966affc816182e418ad72d174dbde8b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string tgui::Texture::getId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the id that was used to load the texture (for the default loader, the id is the filename) </p>
<dl class="section return"><dt>Returns</dt><dd>Id of the texture </dd></dl>

</div>
</div>
<a class="anchor" id="a7d7a113000dc6cc15e82b5da9eabae51"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static ImageLoaderFunc tgui::Texture::getImageLoader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the used image loader. </p>
<dl class="section return"><dt>Returns</dt><dd>Image loader that is currently being used</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Texture.html#a4f8e5fcf1d281d52e9d549cdbeff49d3" title="Sets a different image loader. ">setImageLoader</a> </dd></dl>

</div>
</div>
<a class="anchor" id="aea07cdfdda3e2c773552ededfd6e26b9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f tgui::Texture::getImageSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the size that the loaded image. </p>
<dl class="section return"><dt>Returns</dt><dd>Size of the image like it was when loaded (no scaling applied) </dd></dl>

</div>
</div>
<a class="anchor" id="a199b6fbd749dbfd5e000ac9714d7f096"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::IntRect tgui::Texture::getMiddleRect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the middle rect of the texture which is used for 9-slice scaling. </p>
<dl class="section return"><dt>Returns</dt><dd>Middle rect of the texture </dd></dl>

</div>
</div>
<a class="anchor" id="a90a5e1461403267d9cc370df16b34ba0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtgui_1_1Texture.html#aaba70370fcc0e5fe13508646d2300014">ScalingType</a> tgui::Texture::getScalingType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the way in which the image is being scaled. </p>
<dl class="section return"><dt>Returns</dt><dd>Scaling type </dd></dl>

</div>
</div>
<a class="anchor" id="acea39d21c2435bb370f0727afd341352"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f tgui::Texture::getSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the size that the image has when drawing. </p>
<dl class="section return"><dt>Returns</dt><dd>Size of the image </dd></dl>

</div>
</div>
<a class="anchor" id="ab72bd0daf87a89164b11d6aec315d1f7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static TextureLoaderFunc tgui::Texture::getTextureLoader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the used texture loader. </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="classtgui_1_1Texture.html">Texture</a> loader that is currently being used</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Texture.html#a03e96e2501defa4e985371c318dc8915" title="Sets a different texture loader. ">setTextureLoader</a> </dd></dl>

</div>
</div>
<a class="anchor" id="aa26d635449a54dc8a325a5ebd889416e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::FloatRect tgui::Texture::getTextureRect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the part of the texture that is drawn. </p>
<dl class="section return"><dt>Returns</dt><dd>Visible part of the texture </dd></dl>

</div>
</div>
<a class="anchor" id="adb79cf4d9168fcdfcbadd5c4357a4249"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Texture::isLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Check if the texture has been correctly loaded. </p>
<dl class="section return"><dt>Returns</dt><dd>True if texture was initialized </dd></dl>

</div>
</div>
<a class="anchor" id="aa434c72adfabf617afb06772960cc0f9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Texture::isSmooth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Tell whether the smooth filter is enabled or not. </p>
<dl class="section return"><dt>Returns</dt><dd>True if smoothing is enabled, false if it is disabled</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Texture.html#a955bff3e4065fa08d44be9965412ff27" title="Enable or disable the smooth filter. ">setSmooth</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a2985f0d92540442789ebb83ba5800b54"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Texture::isTransparentPixel </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check if a certain pixel is transparent. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>global X coordinate of the pixel </td></tr>
    <tr><td class="paramname">y</td><td>global Y coordinate of the pixel</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True when the pixel is transparent, false when it is not </dd></dl>

</div>
</div>
<a class="anchor" id="a4860c6e7da84910d9352767ff2ab9f6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Texture::load </td>
          <td>(</td>
          <td class="paramtype">const sf::Texture &amp;&#160;</td>
          <td class="paramname"><em>texture</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::IntRect &amp;&#160;</td>
          <td class="paramname"><em>partRect</em> = <code>{}</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::IntRect &amp;&#160;</td>
          <td class="paramname"><em>middleRect</em> = <code>{}</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates the texture from an existing sf::Texture. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>Existing texture to copy. </td></tr>
    <tr><td class="paramname">partRect</td><td>Load only part of the texture. Don't pass this parameter if you want to load the full image. </td></tr>
    <tr><td class="paramname">middleRect</td><td>Choose the middle part of the image for 9-slice scaling (relative to the part defined by partRect)</td></tr>
  </table>
  </dd>
</dl>
<p>The texture will be copied, you do not have to keep the sf::Texture alive after calling this function. </p>

</div>
</div>
<a class="anchor" id="a048f16c2c160564ee9faeb6d83e467a1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Texture::load </td>
          <td>(</td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::IntRect &amp;&#160;</td>
          <td class="paramname"><em>partRect</em> = <code>{}</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::IntRect &amp;&#160;</td>
          <td class="paramname"><em>middleRect</em> = <code>{}</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates the texture. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>Id for the the image to load (for the default loader, the id is the filename). </td></tr>
    <tr><td class="paramname">partRect</td><td>Load only part of the image. Don't pass this parameter if you want to load the full image. </td></tr>
    <tr><td class="paramname">middleRect</td><td>Choose the middle part of the image for 9-slice scaling (relative to the part defined by partRect) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0bab672188429774804229e5e7709ba9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtgui_1_1Texture.html">Texture</a>&amp; tgui::Texture::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>right</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Overload of assignment operator. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">right</td><td>Instance to assign</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Reference to itself </dd></dl>

</div>
</div>
<a class="anchor" id="a60372afe16918d68f23225e3b474dfef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Texture::setColor </td>
          <td>(</td>
          <td class="paramtype">const sf::Color &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the global color of the sprite. </p>
<p>This color is modulated (multiplied) with the sprite's texture. It can be used to colorize the sprite, or change its global opacity.</p>
<p>By default, the sprite's color is opaque white.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New color of the sprite </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac4ba6ca2d45b2dc6a4ebbfcace1e77b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Texture::setCopyCallback </td>
          <td>(</td>
          <td class="paramtype">const std::function&lt; void(std::shared_ptr&lt; TextureData &gt;)&gt;&#160;</td>
          <td class="paramname"><em>func</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets a callback function for when this texture is copied. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">func</td><td>Function that will be called when this texture is copied</td></tr>
  </table>
  </dd>
</dl>
<p>This function can be useful when implementing a resource manager. </p>

</div>
</div>
<a class="anchor" id="a2c86591900554e80c396af648a3f4464"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Texture::setDestructCallback </td>
          <td>(</td>
          <td class="paramtype">const std::function&lt; void(std::shared_ptr&lt; TextureData &gt;)&gt;&#160;</td>
          <td class="paramname"><em>func</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets a callback function for when this texture is destroyed. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">func</td><td>Function that will be called when this texture is destroyed</td></tr>
  </table>
  </dd>
</dl>
<p>This function can be useful when implementing a resource manager. </p>

</div>
</div>
<a class="anchor" id="a4f8e5fcf1d281d52e9d549cdbeff49d3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void tgui::Texture::setImageLoader </td>
          <td>(</td>
          <td class="paramtype">const ImageLoaderFunc &amp;&#160;</td>
          <td class="paramname"><em>func</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets a different image loader. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">func</td><td>New image loader function</td></tr>
  </table>
  </dd>
</dl>
<p>The image loader will be called inside the texture loader to create the sf::Image.</p>
<p>The default loader will simply load the image from a file. </p>

</div>
</div>
<a class="anchor" id="afdd23a9f13b870700d65073bf4731c50"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Texture::setSize </td>
          <td>(</td>
          <td class="paramtype">const sf::Vector2f &amp;&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the size that the image will have when drawing. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>Size of the image </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a955bff3e4065fa08d44be9965412ff27"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Texture::setSmooth </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>smooth</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable or disable the smooth filter. </p>
<p>When the filter is activated, the texture appears smoother so that pixels are less noticeable. However if you want the texture to look exactly the same as its source file, you should leave it disabled. The smooth filter is disabled by default.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">smooth</td><td>True to enable smoothing, false to disable it</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Texture.html#aa434c72adfabf617afb06772960cc0f9" title="Tell whether the smooth filter is enabled or not. ">isSmooth</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a6a5b18e43b8c6cd0a3ef29a8f2c6668f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Texture::setTexture </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; TextureData &gt;&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::IntRect &amp;&#160;</td>
          <td class="paramname"><em>middleRect</em> = <code>{}</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the texture. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>New texture data </td></tr>
    <tr><td class="paramname">middleRect</td><td>Choose the middle part of the image part to determine scaling (e.g. 9-slice scaling)</td></tr>
  </table>
  </dd>
</dl>
<p>This function is not intended to be used directly, except from custom loaders. </p>

</div>
</div>
<a class="anchor" id="a03e96e2501defa4e985371c318dc8915"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void tgui::Texture::setTextureLoader </td>
          <td>(</td>
          <td class="paramtype">const TextureLoaderFunc &amp;&#160;</td>
          <td class="paramname"><em>func</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets a different texture loader. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">func</td><td>New texture loader function</td></tr>
  </table>
  </dd>
</dl>
<p>The texture loader will initialize this <a class="el" href="classtgui_1_1Texture.html">Texture</a> object.</p>
<p>The default loader will use an internal texture manager to prevent the same thing from being loaded twice. </p>

</div>
</div>
<a class="anchor" id="a8ddbe2a731d9fc38296ec10a3154f853"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Texture::setTextureRect </td>
          <td>(</td>
          <td class="paramtype">const sf::FloatRect &amp;&#160;</td>
          <td class="paramname"><em>textureRect</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the part of the texture that should be drawn. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">textureRect</td><td>Visible part of the texture</td></tr>
  </table>
  </dd>
</dl>
<p>Set this to (0, 0, 0, 0) to show the entire texture </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Texture_8hpp_source.html">Texture.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:45 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
